﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using PMPSample.Model;
using System.Collections.ObjectModel;

namespace PMPSample.ViewModel
{
    public class QuestionViewModel
    {
        public ObservableCollection<Question> Questions { get; set; }

        public void FetchQuestions()
        {
            ObservableCollection<Question> q = new ObservableCollection<Question>();

            // this is where your service call would be
            q.Add(new Question() { Text = "What is 1 + 1?", ActualAnswer = "2" });
            q.Add(new Question() { Text = "What is 6 - 3?", ActualAnswer = "3" });

            Questions = q;
        }

        public bool SubmitAnswers()
        {
            return true;
        }

        public void GradeAnswers()
        {
            // do something here
        }
    }
}
